sc::ConnollyShape(3)

NAME
sc::ConnollyShape - DiscreteConnollyShape and ConnollyShape should produce the same result.

SYNOPSIS

#include <molshape.h>

Inherits sc::Shape.

  Public Member Functions
ConnollyShape (const Ref< KeyVal > &)
void initialize (const Ref< Molecule > &, double probe_radius)
void clear ()
double distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)

  Static Public Member Functions
static void print_counts (std::ostream &=ExEnv::out0())

Detailed Description

DiscreteConnollyShape and ConnollyShape should produce the same result. The discrete version is a shape union of discrete subshapes and is slower. These classes describe the solvent accessible surface of a molecule.

Author

Generated automatically by Doxygen for MPQC from the source code.